Update Service Capability
Update the registered VCF Management Service Capability.
Update the registered VCF Management Service Capability.
Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/serviceRegistryCapabilities/{key}
COPY
Path Parameters
string
key
Required
key used to uniquely identify a VCF Management Service Capability
Request Body
ServiceCapability
of type(s)
application/json
Required
Show optional properties
{
"name": "VCF OPS, VCFA",
"type": "string",
"key": "string"
}
{
"name": "VCF OPS, VCFA",
"type": "string",
"key": "string",
"oidcConfigUrl": "https://vrops1.company.com/suite-api/.well-known/openid-configuration",
"secret": {
"type": "string",
"username": "string",
"password": "string",
"refresh_token": "string"
},
"nodes": [
{
"name": "VCFA, VCF OPS",
"addresses": [
{
"type": "string",
"value": "10.10.10.10, 2001:0db8:85a3:0000:0000:8a2e:0370:7334, vrslcm1.company.com"
}
],
"certificates": [
"string"
]
}
]
}
string
name
Required
The name of the VCF Management Service Capability.
string
type
Required
The type of the VCF Management Service Capability.
string
key
Required
VCF Management Service Capability key
string
oidcConfigUrl
Optional
OidcConfig Url
object
secret
Optional
The secret corresponding to a VCF Management Service Capability.
array of
object
nodes
Optional
The list of nodes where the VCF Management Services are deployed.
Responses
200
OK
Returns
ServiceCapability
of type(s)
*/*;version=9.1.0
{
"name": "VCF OPS, VCFA",
"type": "string",
"key": "string",
"oidcConfigUrl": "https://vrops1.company.com/suite-api/.well-known/openid-configuration",
"secret": {
"type": "string",
"username": "string",
"password": "string",
"refresh_token": "string"
},
"nodes": [
{
"name": "VCFA, VCF OPS",
"addresses": [
{
"type": "string",
"value": "10.10.10.10, 2001:0db8:85a3:0000:0000:8a2e:0370:7334, vrslcm1.company.com"
}
],
"certificates": [
"string"
]
}
]
}
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"key":"string","name":"string","type":"string"}' https://{api_host}/cloudapi/1.0.0/serviceRegistryCapabilities/{key}
Availability
Added in 9.0.0
On This Page
Vcf Service Capabilities Operations
GET
Query Service Capabilities
POST
Create Service Capabilities
PUT
Update Service Capabilities
DELETE
Delete Service Capabilities
GET
Get Service Capability
PUT
Update Service Capability
DELETE
Delete Service Capability